/* GeoStats - IRC Statistical Services
** Copyright (c) 1999 Jonathan George
**  E-Mail: net@lite.net
*
** GeoStats CVS Identification
** $Id: stats.h,v 1.5 2001/01/28 19:31:53 wcampbel Exp $
*/

#ifndef STATS_H
#define STATS_H

/* Find out which of these are not needed */
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>
#include <netinet/in.h>
#include <unistd.h>
#include <time.h>
#include <string.h>
#include <stdarg.h>
#include <stdlib.h>
#include <sys/time.h>
#include <ctype.h>
#include <sys/stat.h>
#include "config.h"

/* Standard settings... ONLY change these if you know what
** you are doing.  The service may fail to work if not
** NOTE:  NEVER Change BUFSIZE
*/
#define BUFSIZE			512
#define CONFIG_NAME		"stats.cfg"
#define TLD_FILE		"data/tlds.nfo"
#define STATS_DB		"data/stats.db"
#define NSTATS_DB		"data/nstats.db"
#define PIDFILE			"stats.pid"
#define LOGFILE			"stats.log"
#define USERFILE		"users.lst"
#define BACKUPLOGFMT		"logs/stats-%m-%d.log"
#define TIMEFMT			"%H:%M[%m/%d/%Y]"
#define FTMFMT			"%A, %d %b %Y, %I:%M%p %Z"
#define IRCTFMT			"%A %B %d %G -- %H:%M:%S %z"
#define MAXHOST			63
#define MAXPASS			32
#define MAXNICK			32
#define MAXUSER			10
#define MAXCHANS		15
#define MAXTLD			10
#define MAXPARA			15
#define LINE			80

#ifdef LARGE_NET
# define S_TABLE_SIZE 150
# define U_TABLE_SIZE 80000
#else
# define S_TABLE_SIZE	97
# define U_TABLE_SIZE	1999
#endif /* LARGE_NET */

/* Sanity checking */
#ifdef CYGWIN
# undef FNMATCH
#endif

/* IPv6 support */
#if defined(IRCD_2_10) || defined(IRCD_HYB7)
# define IPv6
#endif

#endif
